Package org.eclipse.lemminx.extensions.generators.xml2xsd

## Class XMLSchemaGeneratorSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.FileContentGeneratorSettings
  - - org.eclipse.lemminx.extensions.generators.xml2xsd.XMLSchemaGeneratorSettings

    public class XMLSchemaGeneratorSettings
    extends FileContentGeneratorSettings

XML Schema generator settings

### Constructor Summary

Constructors
`XMLSchemaGeneratorSettings()`

### Method Summary

### Methods inherited from class org.eclipse.lemminx.extensions.generators.FileContentGeneratorSettings

`getMaxEnumerationValues, getMaxIdValues, getMinEnumerationInstances, getMinEnumerationRatio, getMinFixed, getMinIdValues, setMaxEnumerationValues, setMaxIdValues, setMinEnumerationInstances, setMinEnumerationRatio, setMinFixed, setMinIdValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLSchemaGeneratorSettings

    public XMLSchemaGeneratorSettings()